Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# Xabsl2OrOperator Class Reference

Represents an 'or' element of the option graph. More...

`#include <Xabsl2BooleanExpression.h>`

Inheritance diagram for Xabsl2OrOperator:

[legend]
Collaboration diagram for Xabsl2OrOperator:

[legend]
List of all members.

## Public Member Functions
| Xabsl2OrOperator ()
| Constructor.
| ~Xabsl2OrOperator ()
| Destructor.
virtual bool | getValue ()
| Evaluates the boolean expression.
void | addOperand (Xabsl2BooleanExpression *operand)
| Adds an operand to the operands array.
## Private Attributes
Xabsl2Array< Xabsl2BooleanExpression * > | operands
| the 2+n operands of the operator

## Detailed Description

Represents an 'or' element of the option graph.

Author:
  Martin Lötzsch

Definition at line 111 of file Xabsl2BooleanExpression.h.

## Constructor & Destructor Documentation

Xabsl2OrOperator::Xabsl2OrOperator | ( |  | ) |

| Constructor. Definition at line 220 of file Xabsl2BooleanExpression.cpp. References Xabsl2Array< Xabsl2BooleanExpression * >::clear().

Here is the call graph for this function:

Xabsl2OrOperator::~Xabsl2OrOperator | ( |  | ) |

| Destructor. Deletes the two operands Definition at line 225 of file Xabsl2BooleanExpression.cpp. References Xabsl2Array< Xabsl2BooleanExpression * >::getSize().

Here is the call graph for this function:

## Member Function Documentation

bool Xabsl2OrOperator::getValue | ( |  | ) | `[virtual]`

| Evaluates the boolean expression. Implements Xabsl2BooleanExpression. Definition at line 233 of file Xabsl2BooleanExpression.cpp. References Xabsl2Array< Xabsl2BooleanExpression * >::getSize().

Here is the call graph for this function:

void Xabsl2OrOperator::addOperand | ( | Xabsl2BooleanExpression * | operand | ) |

| Adds an operand to the operands array. Definition at line 242 of file Xabsl2BooleanExpression.cpp. References Xabsl2Array< Xabsl2BooleanExpression * >::append(). Referenced by Xabsl2BooleanExpression::create().

Here is the call graph for this function:

## Member Data Documentation

Xabsl2Array<Xabsl2BooleanExpression*> Xabsl2OrOperator::operands`[private]`

| the 2+n operands of the operator Definition at line 128 of file Xabsl2BooleanExpression.h.

The documentation for this class was generated from the following files:

- Tools/Xabsl2/Xabsl2Engine/Xabsl2BooleanExpression.h
- Tools/Xabsl2/Xabsl2Engine/Xabsl2BooleanExpression.cpp